---
title: Auto Backups
url: https://docs.vultr.com/products/compute/instances/cloud-gpu/features/auto-backups
description: A service that automatically creates and stores backups of your Vultr GPU instance on a regular schedule.
publish_date: 2024-09-23T20:20:17.560766Z
last_updated: 2026-05-26T18:48:15.268885Z
---

# How to Enable Automatic Backups on a Vultr Cloud GPU Instance

Automatic Backups enable the creation of a full backup of your instance data and file system using a specific schedule for recovery in case of unexpected failures. Automatic backups use specific backup schedule intervals and retention policies to ensure your instance is backed up in your Vultr account.

Follow this guide to enable automatic backups on a Vultr Cloud GPU instance using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target instance to open its management page.
    1. Navigate to the **Backups** tab.
    1. Click **Enable Backups** to turn on automatic backups.
    1. Click **Enable Backups** in the confirmation prompt to enable automatic backups.
    1. Click the **Schedule Backups** drop down to select a back up schedule. 
    1. Click **Update** to create automatic backups based on set the schedule.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note the target instance's ID in your output.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/get-instance) to update the instance and enable automatic backups.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
          -X PATCH \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "backups" : "enabled"
          }'
        ```

    1. Send a `POST` request to the [**Set Instance Backup Schedule** endpoint](https://www.vultr.com/api/#tag/instances/operation/create-instance-backup-schedule) to create a new automatic backups schedule to enable on your instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}/backup-schedule" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "type": "daily",
            "hour": 10,
            "dow": 1,
            "dom": 1
          }'
        ```

        Visit the [**Set Instance Backup Schedule** API page](https://www.vultr.com/api/#tag/instances/operation/create-instance-backup-schedule) to view additional schedule attributes to create automatic backups.

=== "Vultr CLI"

    1. List all instances in your Vultr account and note the target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Create a new automatic backups schedule using the target instance's ID.

        ```console
        $ vultr-cli instance backup create e56d93ea-41c4-4dbe-93e2-537c552cf2fb --type daily --hour 10 --dow 1 --dom 1
        ```

        Run `vultr-cli instance backup create --help` to view more additional schedule options to create automatic backups.

=== "Terraform"

    1. Open your Terraform configuration for the existing Cloud GPU instance.

    1. Update the `backups` value in the instance resource to `"enabled"`.

        ```terraform
        resource "vultr_instance" "gpu" {
            # ...existing fields (region, plan, label, etc.)

            backups = "enabled"  # Enable automatic backups
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
